/*
 * Copyright (C) 2004 Robert Hogan <robert at roberthogan dot net>
 */

#include "aboutklamav.h"

#include <qpainter.h>
#include <qpaintdevicemetrics.h>

#include <kglobal.h>
#include <klocale.h>
#include <kiconloader.h>
#include <kconfig.h>
#include <kdialog.h>

#include <kaction.h>
#include <kstdaction.h>
#include <kstandarddirs.h>
#include <kshell.h>

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>



Aboutklamav::Aboutklamav(QWidget *parent, const char *name)
    : QWidget(parent, name)
{

	QString location = locate("data", "klamav/about/klam.png");
	QPixmap image0;
	QImage img;

	//img.loadFromData( image0_data, sizeof( image0_data ), "PNG" );
	img.load(location,"PNG");
	image0 = img;


	QVBoxLayout *vbox = new QVBoxLayout(this, KDialog::marginHint(),
		KDialog::spacingHint(), "vbox");
	

	//KMessageBox::information (this,nooffilters);

	QGroupBox *groupBox1 = new QGroupBox( "About KlamAV",this );
	vbox->addWidget(groupBox1);

	groupBox1->setGeometry( QRect( 20, 40, 551, 391 ) );
	
	QLabel *pixmapLabel1 = new QLabel( groupBox1, "pixmapLabel1" );
	pixmapLabel1->setGeometry( QRect( 60, 110, 140, 140 ) );
	pixmapLabel1->setPixmap( image0 );
	pixmapLabel1->setScaledContents( TRUE );
	
	QLabel *textLabel1_2 = new QLabel( "KlamAV \n(C) Robert Hogan <hoganrobert@klamav.sf.net>",groupBox1 );
	textLabel1_2->setGeometry( QRect( 230, 120, 421, 61 ) );
	
	QLabel *textLabel1_3 = new QLabel( "http://klamav.sourceforge.net",groupBox1 );
	textLabel1_3->setGeometry( QRect( 230, 170, 221, 21 ) );
	
	QLabel *textLabel1 = new QLabel( "ClamAV \n(C) Tomasz Kojm <tkojm@clamav.net>",groupBox1 );
	textLabel1->setGeometry( QRect( 230, 200, 401, 61 ) );
	
	QLabel *textLabel1_4 = new QLabel( "http://www.clamav.net",groupBox1 );
	textLabel1_4->setGeometry( QRect( 230, 250, 221, 21 ) );
	pixmapLabel1->setPixmap( image0 );
	pixmapLabel1->setScaledContents( TRUE );
	
	//resize( QSize(600, 480).expandedTo(minimumSizeHint()) );




		


}

Aboutklamav::~Aboutklamav()
{
}







#include "aboutklamav.moc"
